#include <iostream>
#include <cstring>
#include<fstream>
using namespace std;

int main()
{
    long int t=0,tong=0;
    fstream fi,fo;
    fi.open("tinhtong.inp",ios::in);
    fo.open("tinhtong.out",ios::out);
    char s[255];
    int i,dem=0;
    fi.getline(s,255);
    for(i=0;i<=strlen(s);i++)
    {if(s[i]>='0'  &&  s[i]<='9'){
    t=t*10+(int)s[i]-48;}
    else{
        tong=tong+t;
        t=0;
    }
    }
fo<<tong;

    return 0;
}
